Submit Video Watermark Remove Task
curl --request POST \
--url https://api.weryai.com/v1/generation/video-watermark-remove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"video_url": "https://example.com/video.mp4",
"rect_volist": [
{
"lt_x": 0.1,
"lt_y": 0.05,
"rb_x": 0.4,
"rb_y": 0.15
}
]
}
'import requests
url = "https://api.weryai.com/v1/generation/video-watermark-remove"
payload = {
"video_url": "https://example.com/video.mp4",
"rect_volist": [
{
"lt_x": 0.1,
"lt_y": 0.05,
"rb_x": 0.4,
"rb_y": 0.15
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
video_url: 'https://example.com/video.mp4',
rect_volist: [{lt_x: 0.1, lt_y: 0.05, rb_x: 0.4, rb_y: 0.15}]
})
};
fetch('https://api.weryai.com/v1/generation/video-watermark-remove', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 0,
"desc": "success",
"message": "success",
"data": {
"task_id": "task_abc123",
"task_status": "waiting"
}
}{
"status": 1001,
"desc": "Parameter error",
"message": "Prompt cannot be empty"
}{
"status": 1002,
"desc": "Authentication failed",
"message": "Invalid API Key"
}Video Tools
Submit Video Watermark Remove Task
Remove watermarks from a video, optionally specifying regions to process
POST
/
v1
/
generation
/
video-watermark-remove
Submit Video Watermark Remove Task
Authorizations
Authenticate using Bearer token. Get your API Key from the WeryAI Console.
Example: Authorization: Bearer sk-xxxxxxxxxxxxxxxx
Body
application/json
⌘I
